Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155317 - RFE: V4L2 support for pwlib
Summary: RFE: V4L2 support for pwlib
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pwlib
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 04:31 UTC by Zuirdj
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: pwlib-1.10.0-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 19:55:43 UTC


Attachments (Terms of Use)

Description Zuirdj 2005-04-19 04:31:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
I have a webcam that Fedora supports with the sn9c102 driver included in the kernel. But the driver uses V4L2 and not V4L. Gnomemeeting supports V4L2 since 1.2 but pwlib needs to be compiled with --enable-plugins --enable-v4l2, according to 
http://www.osnews.com/story.php?news_id=9038

Suse has a plugin to resolve the same issue http://rpm.pbone.net/index.php3/stat/4/idpl/1667803/com/pwlib-plugins-v4l2-1.8.3-3.1.i586.rpm.html

More about this in
http://www.dclug.org.uk/archive/2004/12/msg00361.html

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Connect my webcam
2. sn9c102 driver, precompiled in kernel, detects the webcam
3. Gnomemeeting doesn't recongnize it.
  

Expected Results:  Webcam working! :-)

Additional info:

Comment 1 Zuirdj 2005-06-25 15:47:04 UTC
It's possible to include this enhancement in FC 5?

Comment 2 Túlio Miranda Barros 2005-08-26 21:55:43 UTC
Mandrake has solved the problem too. The RPM packs of our distro lacks the file
v4l2_pwplugin.so present on theirs as you can see from:
http://rpmfind.net//linux/RPM/mandrake/10.2/i586/media/main/libpwlib1-plugins-v4l2-1.8.4-3mdk.i586.html

The same happens with my webcam D-Link DSB-C110 (Fully supported by Mandrake and
Suse) and only recognized by Fedora.

lsusb:
Bus 002 Device 003: ID 0c45:600d Microdia

dmesg
usb 2-2: V4L2 device /dev/video0 deregistered
usb 2-2: new full speed USB device using uhci_hcd and address 3
usb 2-2: SN9C10[12] PC Camera Controller detected (vid/pid 0x0C45/0x600D)
usb 2-2: PAS106B image sensor detected
usb 2-2: Initialization succeeded
usb 2-2: V4L2 device registered as /dev/video0
usb 2-2: Optional device control through 'sysfs' interface ready

Comment 3 Túlio Miranda Barros 2005-08-30 16:04:11 UTC
I just tested the "ubuntu in live" version 5.04 and, from cd, without installing
anything, the webcam works perfectly.

Comment 4 Peter Robinson 2005-08-31 09:53:09 UTC
Its just a matter of compiling with the option of --enable-v4l2 on the configure
command line of pwlib

Comment 5 Daniel Veillard 2005-09-05 13:05:26 UTC
According to Damien Sandras gnomemeeting upstream maintainer:

  v4l2 is not stable, not maintained
  it should not be activated by default
  if activated it should be in a separate package
  activating by default like in Ubuntu and Debian is a serious mistake

So it is definitely not a simple matter of adding --enable-v4l2 on the command
line.

Daniel

Comment 6 Zuirdj 2005-09-05 15:53:12 UTC
"if activated it should be in a separate package"

Maybe a separate package in Extras would be a good idea?

Comment 7 Zuirdj 2006-01-05 01:39:13 UTC
any news about this enhancement?

Thanks

Comment 8 Zuirdj 2006-03-15 19:55:43 UTC
Today I probed the new ekiga 2.0.1-1 and pwlib 1.10.0-1. My SN9C10x webcam
(supported by V4L2) is working OK now. Thanks for your work!


Note You need to log in before you can comment on or make changes to this bug.